> ## Documentation Index
> Fetch the complete documentation index at: https://docs.patterns.company/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh token

> Refreshes the access token



## OpenAPI

````yaml POST /auth/refresh-tokens
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.patterns.company/v1
security:
  - bearerAuth: []
paths:
  /auth/refresh-tokens:
    post:
      description: Refreshes the access token
      requestBody:
        description: Token to refresh
        content:
          application/json:
            schema:
              type: object
              properties:
                refreshToken:
                  type: string
        required: true
      responses:
        '200':
          description: new access token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefreshTokenResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    RefreshTokenResponse:
      required:
        - access
        - refresh
      type: object
      properties:
        access:
          description: Ключ доступа
          type: string
        refresh:
          description: Ключ обновления
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````